<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UpdateFeatureControlPolicyReq StructType
 * @subpackage Structs
 */
class UpdateFeatureControlPolicyReq extends NameAndGUIDRequest
{
    /**
     * The newName
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $newName;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 100
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $description;
    /**
     * The features
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\Features
     */
    public $features;
    /**
     * Constructor method for UpdateFeatureControlPolicyReq
     * @uses UpdateFeatureControlPolicyReq::setNewName()
     * @uses UpdateFeatureControlPolicyReq::setDescription()
     * @uses UpdateFeatureControlPolicyReq::setFeatures()
     * @param string $newName
     * @param string $description
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\Features $features
     */
    public function __construct($newName = null, $description = null, \\Losc\CucmBundle\Model\Webservice\StructType\Features $features = null)
    {
        $this
            ->setNewName($newName)
            ->setDescription($description)
            ->setFeatures($features);
    }
    /**
     * Get newName value
     * @return string|null
     */
    public function getNewName()
    {
        return $this->newName;
    }
    /**
     * Set newName value
     * @param string $newName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateFeatureControlPolicyReq
     */
    public function setNewName($newName = null)
    {
        $this->newName = $newName;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateFeatureControlPolicyReq
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get features value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\Features|null
     */
    public function getFeatures()
    {
        return $this->features;
    }
    /**
     * Set features value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\Features $features
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateFeatureControlPolicyReq
     */
    public function setFeatures(\\Losc\CucmBundle\Model\Webservice\StructType\Features $features = null)
    {
        $this->features = $features;
        return $this;
    }
}
